TIFFCHECK(${MANNUM1_8})

NAME
tiffcheck - check TIFF for HylaFAX conversion requirements

SYNOPSIS
${SBIN}/tiffcheck [ options ] file.tif

DESCRIPTION
tiffcheck takes TIFF input and writes a multi-line text message to the standard output describing any work needed to prepare the images for facsimile transmission. tiffcheck is usually invoked by tiff2fax(${MANNUM1_8}) script that is used by the HylaFAX scheduler to prepare TIFF documents submitted for transmission.

The first line of output is a series of ``+''-separated words that indicate if the input file should be:

•   rejected (``REJECT''),

•   reformatted with a different data-encoding scheme (``REFORMAT''),

•   scaled to different page dimensions (``RESIZE''),

•   reimaged in a different vertical resolution (``REVRES''), or

•   reimaged for other reasons such as conversion from color to black&white (``REIMAGE'').

The conversion requirements string will always have keywords in the above order; e.g. ``RESIZE+REVRES'' if the input file needs to be scaled and converted to a different resolution. Information following the first line is descriptive text that explains the reason(s) for the file conversion(s); this text is suitable for return to a client (should document conversion fail or not be attempted). The descriptive text is ordered identically to the keywords in the conversion string; this makes it possible to match up conversion requirements to reasons.

OPTIONS
The following operations are recognized:

-1  Set output to be Group 3 1D-encoded.

-2  Set output to be Group 3 2D-encoded.

-3  Set output to be Group 4 MMR-encoded.

-w width
    Set the output page width, in pixels. By default, pages are 1728 pixels wide.

-l length
    Set the output page length in millimeters. By default, pages are 297 millimeters long.

-r vres
    Set the vertical resolution, in lines/inch, at which to image the .

EXAMPLES
The following color image needs to be converted to black&white, resized to the output page dimensions, and reformatted to use Group 3 1D-encoded data.

    hyla% ${SBIN}/tiffcheck jello.tif
    REFORMAT+RESIZE+REIMAGE
    Document is not a bilevel image (bits/sample 8).
    Document requires reformatting, not in Group 3 format.
    Document requires resizing to adjust page width (convert to 1728, document is 256).

This image is a facsimile received at high resolution (196 lpi); it only needs to be converted to 98 lpi.

    hyla% ${SBIN}/tiffcheck faxix.tif
    REVRES
    Document requires reformatting to adjust vertical resolution (convert to 98, document is 196).

SEE ALSO
tiff2fax(${MANNUM1_8}), faxq(${MANNUM1_8}), hylafax-server(${MANNUM4_5})